> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://bcdtravel.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://bcdtravel.ferndocs.com/_mcp/server.

# Get versions by trip ID

GET https://expenses-api.bcdtravel.com/v1/expenses/{tripId}/versions

Retrieve all versions of expense records for a trip.

Reference: https://bcdtravel.ferndocs.com/invoice/api-reference/travel-expenses-api-invoice/expenses/get-versions-by-trip-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://expenses-api.bcdtravel.com` (https://expenses-api.bcdtravel.com, default)
- `https://auth.bcdtravel.com` (https://auth.bcdtravel.com)

## Request

### Path parameters

- `tripId` (string, required)

## Response

### 200

Get Versions by tripId

- `code` (integer, optional)
- `status` (string, optional)
- `result` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItems, optional)

## Types

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItems

- `id` (string, optional)
- `total` (double, optional)
- `taxesTotal` (double, optional)
- `subtotal` (double, optional)
- `currencyCode` (string, optional)
- `customerName` (string, optional)
- `globalCustomerNumber` (string, optional)
- `accountId` (string, optional)
- `customerNumber` (string, optional)
- `isInternational` (boolean, optional)
- `recordLocator` (string, optional)
- `lastModifiedDateTime` (datetime, optional)
- `version` (integer, optional)
- `approvals` (list of any, optional)
- `travelers` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsTravelersItems, optional)
- `brokers` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsBrokersItems, optional)
- `sellers` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsSellersItems, optional)
- `payments` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsPaymentsItems, optional)
- `taxes` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsTaxesItems, optional)
- `products` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProducts, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsTravelersItems

- `firstName` (string, optional)
- `lastName` (string, optional)
- `emailAddress` (string, optional)
- `identifiers` (list of any, optional)
- `profileStatus` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsBrokersItems

- `name` (string, optional)
- `location` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocation, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsSellersItems

- `name` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsPaymentsItems

- `amount` (double, optional)
- `paymentType` (string, optional)
- `currencyCode` (string, optional)
- `cardDetail` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsPaymentsItemsCardDetail, optional)
- `authorizationCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsTaxesItems

- `name` (string, optional)
- `code` (string, optional)
- `amount` (integer, optional)
- `currencyCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProducts

- `air` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAir, optional)
- `car` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCar, optional)
- `hotel` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotel, optional)
- `rail` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRail, optional)
- `misc` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMisc, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocation

- `address` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocationAddress, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsPaymentsItemsCardDetail

- `type` (string, optional)
- `number` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAir

- `taxes` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTaxesItems, optional)
- `tickets` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItems, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCar

- `reservations` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItems, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotel

- `reservations` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItems, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRail

- `tickets` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItems, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMisc

- `documents` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItems, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocationAddress

- `addressCountryCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTaxesItems

- `name` (string, optional)
- `code` (string, optional)
- `amount` (integer, optional)
- `currencyCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItems

- `legs` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsLegsItems, optional)
- `invoiceNumber` (string, optional)
- `isConjunctive` (boolean, optional)
- `validatingCarrier` (string, optional)
- `ticketStatus` (string, optional)
- `calculatedTicketStatus` (string, optional)
- `taxes` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsTaxesItems, optional)
- `ticketNumber` (string, optional)
- `recordLocator` (string, optional)
- `issueDateTime` (datetime, optional)
- `bookingDateTime` (datetime, optional)
- `fare` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsFare, optional)
- `payments` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItems, optional)
- `lineItems` (list of any, optional)
- `bookingType` (string, optional)
- `passenger` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPassenger, optional)
- `isInternational` (boolean, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItems

- `bookingDateTime` (datetime, optional)
- `carType` (string, optional)
- `confirmationNumber` (string, optional)
- `dropOffLocation` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsDropOffLocation, optional)
- `endDateTime` (datetime, optional)
- `fare` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsFare, optional)
- `baseFare` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsBaseFare, optional)
- `isInternational` (boolean, optional)
- `lineItems` (list of any, optional)
- `numberOfCars` (integer, optional)
- `pickupLocation` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsPickupLocation, optional)
- `rentalDays` (integer, optional)
- `segmentNumber` (integer, optional)
- `startDateTime` (datetime, optional)
- `vendorChainCode` (string, optional)
- `vendorChainName` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItems

- `address` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsAddress, optional)
- `bookingDateTime` (datetime, optional)
- `checkInDateTime` (datetime, optional)
- `checkOutDateTime` (datetime, optional)
- `confirmationNumber` (string, optional)
- `fare` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsFare, optional)
- `guests` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsGuestsItems, optional)
- `lineItems` (list of any, optional)
- `numberOfRooms` (integer, optional)
- `roomType` (string, optional)
- `vendorChainCode` (string, optional)
- `vendorChainName` (string, optional)
- `vendorCode` (string, optional)
- `vendorName` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItems

- `legs` (list of V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsLegsItems, optional)
- `recordLocator` (string, optional)
- `issueDateTime` (datetime, optional)
- `bookingDateTime` (datetime, optional)
- `fare` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsFare, optional)
- `payments` (list of any, optional)
- `lineItems` (list of any, optional)
- `passenger` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsPassenger, optional)
- `isInternational` (boolean, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItems

- `documentNumber` (string, optional)
- `bookingType` (string, optional)
- `fare` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsFare, optional)
- `baseFare` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsBaseFare, optional)
- `lineItems` (list of any, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsLegsItems

- `departureAirportCode` (string, optional)
- `arrivalAirportCode` (string, optional)
- `flightNumber` (string, optional)
- `segmentNumber` (integer, optional)
- `classOfServiceCode` (string, optional)
- `fareBasisCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsTaxesItems

- `name` (string, optional)
- `code` (string, optional)
- `amount` (integer, optional)
- `currencyCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsFare

- `amount` (double, optional)
- `currencyCode` (string, optional)
- `description` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItems

- `amount` (double, optional)
- `paymentType` (string, optional)
- `currencyCode` (string, optional)
- `cardDetail` (V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItemsCardDetail, optional)
- `authorizationCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPassenger

- `firstName` (string, optional)
- `lastName` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsDropOffLocation

- `address1` (string, optional)
- `addressCountryCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsFare

- `amount` (double, optional)
- `currencyCode` (string, optional)
- `description` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsBaseFare

- `amount` (integer, optional)
- `currencyCode` (string, optional)
- `description` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsPickupLocation

- `address1` (string, optional)
- `addressCountryCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsAddress

- `address1` (string, optional)
- `addressCountryCode` (string, optional)
- `addressLocality` (string, optional)
- `postalCode` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsFare

- `amount` (integer, optional)
- `currencyCode` (string, optional)
- `description` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsGuestsItems

- `lastName` (string, optional)
- `identifiers` (list of any, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsLegsItems

- `arrivalDateTime` (datetime, optional)
- `arrivalStationCode` (string, optional)
- `carrierCode` (string, optional)
- `carrierName` (string, optional)
- `departureDateTime` (datetime, optional)
- `departureStationCode` (string, optional)
- `segmentNumber` (string, optional)
- `trainNumber` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsFare

- `amount` (double, optional)
- `currencyCode` (string, optional)
- `description` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsPassenger

- `firstName` (string, optional)
- `lastName` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsFare

- `amount` (double, optional)
- `currencyCode` (string, optional)
- `description` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsBaseFare

- `amount` (double, optional)
- `currencyCode` (string, optional)
- `description` (string, optional)

### V1ExpensesTripIdVersionsGetResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItemsCardDetail

- `type` (string, optional)
- `number` (string, optional)

## Examples

**Response**

```json
{
  "code": 200,
  "status": "ok",
  "result": [
    {
      "id": "3c5100a0-4fbb-1225-a41a-86a928031db7",
      "total": 14342.43,
      "taxesTotal": 2775.34,
      "subtotal": 11567.09,
      "currencyCode": "USD",
      "customerName": "COMPANY USA",
      "globalCustomerNumber": "20109999",
      "accountId": "999999901",
      "customerNumber": "9999999999",
      "isInternational": true,
      "recordLocator": "GKQLV1",
      "lastModifiedDateTime": "2022-02-11T21:12:00.432Z",
      "version": 2,
      "approvals": [],
      "travelers": [
        {
          "firstName": "FIRSTNAME",
          "lastName": "NONAME",
          "emailAddress": "FIRSTNAME.NONAME@COMPANY.COM",
          "identifiers": [],
          "profileStatus": "Active"
        }
      ],
      "brokers": [
        {
          "name": "BCD Travel",
          "location": {
            "address": {
              "addressCountryCode": "US"
            }
          }
        }
      ],
      "sellers": [
        {
          "name": "Lufthansa"
        }
      ],
      "payments": [
        {
          "amount": 5176.57,
          "paymentType": "Credit Card",
          "currencyCode": "USD",
          "cardDetail": {
            "type": "VI",
            "number": "9484"
          },
          "authorizationCode": "004511"
        },
        {
          "paymentType": "Unused Ticket",
          "ticketNumber": "2207684749561"
        },
        {
          "amount": 4574.77,
          "paymentType": "Credit Card",
          "currencyCode": "USD",
          "cardDetail": {
            "type": "VI",
            "number": "9484"
          },
          "authorizationCode": "19871"
        }
      ],
      "taxes": [
        {
          "name": "Extra fee (instead of simply charging a higher fare)",
          "code": "YQ",
          "amount": 2360,
          "currencyCode": "USD"
        },
        {
          "name": "Extra fee (instead of simply charging a higher fare)",
          "code": "YR",
          "amount": 42,
          "currencyCode": "USD"
        },
        {
          "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
          "code": "US",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Security Fee",
          "code": "AY",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Airport Security Charge (varies per airport)",
          "code": "DE",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Passenger Service Charge for Intl Departures",
          "code": "RA",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Air Transport Tax",
          "code": "OY",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Customs Fee ",
          "code": "YC",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Immigration Fee",
          "code": "XY",
          "amount": 14,
          "currencyCode": "USD"
        },
        {
          "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
          "code": "XA",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Passenger Facility Charge",
          "code": "XF",
          "amount": 1,
          "currencyCode": "USD"
        }
      ],
      "products": {
        "air": {
          "taxes": [
            {
              "name": "Extra fee (instead of simply charging a higher fare)",
              "code": "YQ",
              "amount": 2360,
              "currencyCode": "USD"
            },
            {
              "name": "Extra fee (instead of simply charging a higher fare)",
              "code": "YR",
              "amount": 42,
              "currencyCode": "USD"
            },
            {
              "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
              "code": "US",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Security Fee",
              "code": "AY",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Airport Security Charge (varies per airport)",
              "code": "DE",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Passenger Service Charge for Intl Departures",
              "code": "RA",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Air Transport Tax",
              "code": "OY",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Customs Fee ",
              "code": "YC",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Immigration Fee",
              "code": "XY",
              "amount": 14,
              "currencyCode": "USD"
            },
            {
              "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
              "code": "XA",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Passenger Facility Charge",
              "code": "XF",
              "amount": 1,
              "currencyCode": "USD"
            }
          ],
          "tickets": [
            {
              "legs": [
                {
                  "departureAirportCode": "SEA",
                  "arrivalAirportCode": "DEN",
                  "flightNumber": "1630",
                  "segmentNumber": 1,
                  "classOfServiceCode": "Z",
                  "fareBasisCode": "JAR1"
                },
                {
                  "departureAirportCode": "DEN",
                  "arrivalAirportCode": "FRA",
                  "flightNumber": "7582",
                  "segmentNumber": 2,
                  "classOfServiceCode": "Z",
                  "fareBasisCode": "JAR1"
                }
              ],
              "invoiceNumber": "850176",
              "isConjunctive": false,
              "validatingCarrier": "LH",
              "ticketStatus": "TICKETED",
              "calculatedTicketStatus": "USED/FLOWN",
              "taxes": [
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YQ",
                  "amount": 960,
                  "currencyCode": "USD"
                },
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YR",
                  "amount": 21,
                  "currencyCode": "USD"
                },
                {
                  "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
                  "code": "US",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Security Fee",
                  "code": "AY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Airport Security Charge (varies per airport)",
                  "code": "DE",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Service Charge for Intl Departures",
                  "code": "RA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Air Transport Tax",
                  "code": "OY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Customs Fee ",
                  "code": "YC",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Immigration Fee",
                  "code": "XY",
                  "amount": 7,
                  "currencyCode": "USD"
                },
                {
                  "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
                  "code": "XA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Facility Charge",
                  "code": "XF",
                  "amount": 9,
                  "currencyCode": "USD"
                }
              ],
              "ticketNumber": "2207690355999",
              "recordLocator": "E9ES2X",
              "issueDateTime": "2022-02-11T00:00:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 5176.57,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [
                {
                  "amount": 5176.57,
                  "paymentType": "Credit Card",
                  "currencyCode": "USD",
                  "cardDetail": {
                    "type": "VI",
                    "number": "9484"
                  },
                  "authorizationCode": "004511"
                },
                {
                  "paymentType": "Unused Ticket",
                  "ticketNumber": "2207684749561"
                }
              ],
              "lineItems": [],
              "bookingType": "Purchase",
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": true
            },
            {
              "legs": [
                {
                  "departureAirportCode": "FRA",
                  "arrivalAirportCode": "SEA",
                  "flightNumber": "490",
                  "segmentNumber": 8,
                  "classOfServiceCode": "G",
                  "fareBasisCode": "GLW00ENC",
                  "departureDate": "2022-03-04T10:35:00Z",
                  "arrivalDate": "2022-03-04T12:20:00Z"
                }
              ],
              "invoiceNumber": "850176",
              "isConjunctive": false,
              "validatingCarrier": "LH",
              "ticketStatus": "TICKETED",
              "calculatedTicketStatus": "USED/FLOWN",
              "taxes": [
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YQ",
                  "amount": 960,
                  "currencyCode": "USD"
                },
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YR",
                  "amount": 21,
                  "currencyCode": "USD"
                },
                {
                  "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
                  "code": "US",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Security Fee",
                  "code": "AY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Airport Security Charge (varies per airport)",
                  "code": "DE",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Service Charge for Intl Departures",
                  "code": "RA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Air Transport Tax",
                  "code": "OY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Customs Fee ",
                  "code": "YC",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Immigration Fee",
                  "code": "XY",
                  "amount": 7,
                  "currencyCode": "USD"
                },
                {
                  "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
                  "code": "XA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Facility Charge",
                  "code": "XF",
                  "amount": 9,
                  "currencyCode": "USD"
                }
              ],
              "ticketNumber": "2207690355999",
              "recordLocator": "2CMDF7",
              "issueDateTime": "2022-02-11T00:00:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 5176.57,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [
                {
                  "amount": 5176.57,
                  "paymentType": "Credit Card",
                  "currencyCode": "USD",
                  "cardDetail": {
                    "type": "VI",
                    "number": "9484"
                  },
                  "authorizationCode": "004511"
                },
                {
                  "paymentType": "Unused Ticket",
                  "ticketNumber": "2207684749561"
                }
              ],
              "lineItems": [],
              "bookingType": "Purchase",
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": true
            },
            {
              "legs": [],
              "invoiceNumber": "844680",
              "isConjunctive": false,
              "validatingCarrier": "LH",
              "ticketStatus": "TICKETED",
              "calculatedTicketStatus": "USED/FLOWN",
              "taxes": [
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YQ",
                  "amount": 1400,
                  "currencyCode": "USD"
                },
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YR",
                  "amount": 21,
                  "currencyCode": "USD"
                },
                {
                  "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
                  "code": "US",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Customs Fee ",
                  "code": "YC",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Immigration Fee",
                  "code": "XY",
                  "amount": 7,
                  "currencyCode": "USD"
                },
                {
                  "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
                  "code": "XA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Security Fee",
                  "code": "AY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Airport Security Charge (varies per airport)",
                  "code": "DE",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Service Charge for Intl Departures",
                  "code": "RA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Air Transport Tax",
                  "code": "OY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Facility Charge",
                  "code": "XF",
                  "amount": 1,
                  "currencyCode": "USD"
                }
              ],
              "ticketNumber": "2207684749999",
              "issueDateTime": "2022-01-06T00:00:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 4574.77,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [
                {
                  "amount": 4574.77,
                  "paymentType": "Credit Card",
                  "currencyCode": "USD",
                  "cardDetail": {
                    "type": "VI",
                    "number": "9484"
                  },
                  "authorizationCode": "19871"
                }
              ],
              "lineItems": [],
              "bookingType": "Exchange",
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": false
            }
          ]
        },
        "car": {
          "reservations": [
            {
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "carType": "Compact 4DR Car Manual AC",
              "confirmationNumber": "9917132564",
              "dropOffLocation": {
                "address1": "Sixt Stuttgart Central Train Station\nArnulf-Klett-Platz 2\nStuttgart\n70173",
                "addressCountryCode": "DE"
              },
              "endDateTime": "2022-03-03T17:00:00Z",
              "fare": {
                "amount": 400.95,
                "currencyCode": "EUR",
                "description": "Estimated Total"
              },
              "baseFare": {
                "amount": 100,
                "currencyCode": "EUR",
                "description": "Daily"
              },
              "isInternational": false,
              "lineItems": [],
              "numberOfCars": 1,
              "pickupLocation": {
                "address1": "Sixt Stuttgart Central Train Station\nArnulf-Klett-Platz 2\nStuttgart\n70173",
                "addressCountryCode": "DE"
              },
              "rentalDays": 4,
              "segmentNumber": 5,
              "startDateTime": "2022-02-28T12:00:00Z",
              "vendorChainCode": "SX",
              "vendorChainName": "Sixt Rent a Car"
            }
          ]
        },
        "hotel": {
          "reservations": [
            {
              "address": {
                "address1": "Mahdentalstrasse 68.",
                "addressCountryCode": "DE",
                "addressLocality": "Stuttgart",
                "postalCode": "71065"
              },
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "checkInDateTime": "2022-02-28T15:00:00Z",
              "checkOutDateTime": "2022-03-03T11:00:00Z",
              "confirmationNumber": "89512485",
              "fare": {
                "amount": 297,
                "currencyCode": "EUR",
                "description": "Estimated Total"
              },
              "guests": [
                {
                  "lastName": "NONAME FIRSTNAME",
                  "identifiers": []
                }
              ],
              "lineItems": [],
              "numberOfRooms": 1,
              "roomType": "DCX",
              "vendorChainCode": "MC",
              "vendorChainName": "MARRIOTT",
              "vendorCode": "1777",
              "vendorName": "Stuttgart Marriott Sindelfinge"
            },
            {
              "address": {
                "address1": "Terminal 1",
                "addressCountryCode": "DE",
                "addressLocality": "Frankfurt",
                "postalCode": "60549"
              },
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "checkInDateTime": "2022-03-03T15:00:00Z",
              "checkOutDateTime": "2022-03-04T11:00:00Z",
              "confirmationNumber": "89510758",
              "fare": {
                "amount": 1,
                "currencyCode": "EUR",
                "description": "Estimated Total"
              },
              "guests": [
                {
                  "lastName": "NONAME FIRSTNAME",
                  "identifiers": []
                }
              ],
              "lineItems": [],
              "numberOfRooms": 1,
              "roomType": "CHR",
              "vendorChainCode": "MC",
              "vendorChainName": "MARRIOTT",
              "vendorCode": "381386",
              "vendorName": "Frankfurt Airport Marriott",
              "baseFare": {
                "amount": 142.3,
                "currencyCode": "EUR",
                "description": "Weekly"
              }
            }
          ]
        },
        "rail": {
          "tickets": [
            {
              "legs": [
                {
                  "arrivalDateTime": "2022-02-28T12:08:00Z",
                  "arrivalStationCode": "ZWS",
                  "carrierCode": "LH",
                  "carrierName": "Lufthansa",
                  "departureDateTime": "2022-02-28T10:52:00Z",
                  "departureStationCode": "FRA",
                  "segmentNumber": "3",
                  "trainNumber": "3410"
                }
              ],
              "recordLocator": "2CMDF7",
              "issueDateTime": "2022-01-06T17:03:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 4574.77,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [],
              "lineItems": [],
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": false
            },
            {
              "legs": [
                {
                  "arrivalDateTime": "2022-03-03T17:51:00Z",
                  "arrivalStationCode": "FRA",
                  "carrierCode": "LH",
                  "carrierName": "Lufthansa",
                  "departureDateTime": "2022-03-03T16:34:00Z",
                  "departureStationCode": "ZWS",
                  "segmentNumber": "6",
                  "trainNumber": "3421"
                }
              ],
              "recordLocator": "2CMDF7",
              "issueDateTime": "2022-01-06T17:03:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 0,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [],
              "lineItems": [],
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": false
            }
          ]
        },
        "misc": {
          "documents": [
            {
              "documentNumber": "8904804804804",
              "bookingType": "Purchase",
              "fare": {
                "amount": 10.77,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "baseFare": {
                "amount": 10.77,
                "currencyCode": "USD",
                "description": "Base Fare"
              },
              "lineItems": []
            },
            {
              "documentNumber": "9544804804804",
              "bookingType": "Purchase",
              "fare": {
                "amount": 5.55,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "baseFare": {
                "amount": 5.55,
                "currencyCode": "USD",
                "description": "Base Fare"
              },
              "lineItems": [
                {
                  "sequenceNumber": 1,
                  "description": "Fee breakdown description",
                  "total": 2
                },
                {
                  "sequenceNumber": 2,
                  "total": 3.55
                }
              ]
            }
          ]
        }
      }
    },
    {
      "id": "3c5100a0-4fbb-1225-a41a-86a928031db7",
      "total": 14326.11,
      "taxesTotal": 2775.34,
      "subtotal": 11550.77,
      "currencyCode": "USD",
      "customerName": "COMPANY USA",
      "globalCustomerNumber": "20109999",
      "accountId": "999999901",
      "customerNumber": "9999999999",
      "isInternational": true,
      "recordLocator": "GKQLV1",
      "lastModifiedDateTime": "2022-02-11T21:12:00.432Z",
      "version": 1,
      "approvals": [],
      "travelers": [
        {
          "firstName": "FIRSTNAME",
          "lastName": "NONAME",
          "emailAddress": "FIRSTNAME.NONAME@COMPANY.COM",
          "identifiers": [],
          "profileStatus": "Active"
        }
      ],
      "brokers": [
        {
          "name": "BCD Travel",
          "location": {
            "address": {
              "addressCountryCode": "US"
            }
          }
        }
      ],
      "sellers": [
        {
          "name": "Lufthansa"
        }
      ],
      "payments": [
        {
          "amount": 5176.57,
          "paymentType": "Credit Card",
          "currencyCode": "USD",
          "cardDetail": {
            "type": "VI",
            "number": "9484"
          },
          "authorizationCode": "004511"
        },
        {
          "paymentType": "Unused Ticket",
          "ticketNumber": "2207684749561"
        },
        {
          "amount": 4574.77,
          "paymentType": "Credit Card",
          "currencyCode": "USD",
          "cardDetail": {
            "type": "VI",
            "number": "9484"
          },
          "authorizationCode": "19871"
        }
      ],
      "taxes": [
        {
          "name": "Extra fee (instead of simply charging a higher fare)",
          "code": "YQ",
          "amount": 2360,
          "currencyCode": "USD"
        },
        {
          "name": "Extra fee (instead of simply charging a higher fare)",
          "code": "YR",
          "amount": 42,
          "currencyCode": "USD"
        },
        {
          "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
          "code": "US",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Security Fee",
          "code": "AY",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Airport Security Charge (varies per airport)",
          "code": "DE",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Passenger Service Charge for Intl Departures",
          "code": "RA",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Air Transport Tax",
          "code": "OY",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Customs Fee ",
          "code": "YC",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Immigration Fee",
          "code": "XY",
          "amount": 14,
          "currencyCode": "USD"
        },
        {
          "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
          "code": "XA",
          "amount": 1,
          "currencyCode": "USD"
        },
        {
          "name": "Passenger Facility Charge",
          "code": "XF",
          "amount": 1,
          "currencyCode": "USD"
        }
      ],
      "products": {
        "air": {
          "taxes": [
            {
              "name": "Extra fee (instead of simply charging a higher fare)",
              "code": "YQ",
              "amount": 2360,
              "currencyCode": "USD"
            },
            {
              "name": "Extra fee (instead of simply charging a higher fare)",
              "code": "YR",
              "amount": 42,
              "currencyCode": "USD"
            },
            {
              "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
              "code": "US",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Security Fee",
              "code": "AY",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Airport Security Charge (varies per airport)",
              "code": "DE",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Passenger Service Charge for Intl Departures",
              "code": "RA",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Air Transport Tax",
              "code": "OY",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Customs Fee ",
              "code": "YC",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Immigration Fee",
              "code": "XY",
              "amount": 14,
              "currencyCode": "USD"
            },
            {
              "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
              "code": "XA",
              "amount": 1,
              "currencyCode": "USD"
            },
            {
              "name": "Passenger Facility Charge",
              "code": "XF",
              "amount": 1,
              "currencyCode": "USD"
            }
          ],
          "tickets": [
            {
              "legs": [
                {
                  "departureAirportCode": "SEA",
                  "arrivalAirportCode": "DEN",
                  "flightNumber": "1630",
                  "segmentNumber": 1,
                  "classOfServiceCode": "Z",
                  "fareBasisCode": "JAR1"
                },
                {
                  "departureAirportCode": "DEN",
                  "arrivalAirportCode": "FRA",
                  "flightNumber": "7582",
                  "segmentNumber": 2,
                  "classOfServiceCode": "Z",
                  "fareBasisCode": "JAR1"
                }
              ],
              "invoiceNumber": "850176",
              "isConjunctive": false,
              "validatingCarrier": "LH",
              "ticketStatus": "TICKETED",
              "calculatedTicketStatus": "USED/FLOWN",
              "taxes": [
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YQ",
                  "amount": 960,
                  "currencyCode": "USD"
                },
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YR",
                  "amount": 21,
                  "currencyCode": "USD"
                },
                {
                  "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
                  "code": "US",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Security Fee",
                  "code": "AY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Airport Security Charge (varies per airport)",
                  "code": "DE",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Service Charge for Intl Departures",
                  "code": "RA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Air Transport Tax",
                  "code": "OY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Customs Fee ",
                  "code": "YC",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Immigration Fee",
                  "code": "XY",
                  "amount": 7,
                  "currencyCode": "USD"
                },
                {
                  "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
                  "code": "XA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Facility Charge",
                  "code": "XF",
                  "amount": 9,
                  "currencyCode": "USD"
                }
              ],
              "ticketNumber": "2207690355999",
              "recordLocator": "E9ES2X",
              "issueDateTime": "2022-02-11T00:00:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 5176.57,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [
                {
                  "amount": 5176.57,
                  "paymentType": "Credit Card",
                  "currencyCode": "USD",
                  "cardDetail": {
                    "type": "VI",
                    "number": "9484"
                  },
                  "authorizationCode": "004511"
                },
                {
                  "paymentType": "Unused Ticket",
                  "ticketNumber": "2207684749561"
                }
              ],
              "lineItems": [],
              "bookingType": "Purchase",
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": true
            },
            {
              "legs": [
                {
                  "departureAirportCode": "FRA",
                  "arrivalAirportCode": "SEA",
                  "flightNumber": "490",
                  "segmentNumber": 8,
                  "classOfServiceCode": "G",
                  "fareBasisCode": "GLW00ENC",
                  "departureDate": "2022-03-04T10:35:00Z",
                  "arrivalDate": "2022-03-04T12:20:00Z"
                }
              ],
              "invoiceNumber": "850176",
              "isConjunctive": false,
              "validatingCarrier": "LH",
              "ticketStatus": "TICKETED",
              "calculatedTicketStatus": "USED/FLOWN",
              "taxes": [
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YQ",
                  "amount": 960,
                  "currencyCode": "USD"
                },
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YR",
                  "amount": 21,
                  "currencyCode": "USD"
                },
                {
                  "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
                  "code": "US",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Security Fee",
                  "code": "AY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Airport Security Charge (varies per airport)",
                  "code": "DE",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Service Charge for Intl Departures",
                  "code": "RA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Air Transport Tax",
                  "code": "OY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Customs Fee ",
                  "code": "YC",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Immigration Fee",
                  "code": "XY",
                  "amount": 7,
                  "currencyCode": "USD"
                },
                {
                  "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
                  "code": "XA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Facility Charge",
                  "code": "XF",
                  "amount": 9,
                  "currencyCode": "USD"
                }
              ],
              "ticketNumber": "2207690355999",
              "recordLocator": "2CMDF7",
              "issueDateTime": "2022-02-11T00:00:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 5176.57,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [
                {
                  "amount": 5176.57,
                  "paymentType": "Credit Card",
                  "currencyCode": "USD",
                  "cardDetail": {
                    "type": "VI",
                    "number": "9484"
                  },
                  "authorizationCode": "004511"
                },
                {
                  "paymentType": "Unused Ticket",
                  "ticketNumber": "2207684749561"
                }
              ],
              "lineItems": [],
              "bookingType": "Purchase",
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": true
            },
            {
              "legs": [],
              "invoiceNumber": "844680",
              "isConjunctive": false,
              "validatingCarrier": "LH",
              "ticketStatus": "TICKETED",
              "calculatedTicketStatus": "USED/FLOWN",
              "taxes": [
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YQ",
                  "amount": 1400,
                  "currencyCode": "USD"
                },
                {
                  "name": "Extra fee (instead of simply charging a higher fare)",
                  "code": "YR",
                  "amount": 21,
                  "currencyCode": "USD"
                },
                {
                  "name": "International Arrival/Departure Tax - US Domestic Transportation Tax",
                  "code": "US",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Customs Fee ",
                  "code": "YC",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Immigration Fee",
                  "code": "XY",
                  "amount": 7,
                  "currencyCode": "USD"
                },
                {
                  "name": "APHIS (Animal and Plant Health Inspection Service) Fee ",
                  "code": "XA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Security Fee",
                  "code": "AY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Airport Security Charge (varies per airport)",
                  "code": "DE",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Service Charge for Intl Departures",
                  "code": "RA",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Air Transport Tax",
                  "code": "OY",
                  "amount": 1,
                  "currencyCode": "USD"
                },
                {
                  "name": "Passenger Facility Charge",
                  "code": "XF",
                  "amount": 1,
                  "currencyCode": "USD"
                }
              ],
              "ticketNumber": "2207684749999",
              "issueDateTime": "2022-01-06T00:00:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 4574.77,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [
                {
                  "amount": 4574.77,
                  "paymentType": "Credit Card",
                  "currencyCode": "USD",
                  "cardDetail": {
                    "type": "VI",
                    "number": "9484"
                  },
                  "authorizationCode": "19871"
                }
              ],
              "lineItems": [],
              "bookingType": "Exchange",
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": false
            }
          ]
        },
        "car": {
          "reservations": [
            {
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "carType": "Compact 4DR Car Manual AC",
              "confirmationNumber": "9917132564",
              "dropOffLocation": {
                "address1": "Sixt Stuttgart Central Train Station\nArnulf-Klett-Platz 2\nStuttgart\n70173",
                "addressCountryCode": "DE"
              },
              "endDateTime": "2022-03-03T17:00:00Z",
              "fare": {
                "amount": 400.95,
                "currencyCode": "EUR",
                "description": "Estimated Total"
              },
              "baseFare": {
                "amount": 100,
                "currencyCode": "EUR",
                "description": "Daily"
              },
              "isInternational": false,
              "lineItems": [],
              "numberOfCars": 1,
              "pickupLocation": {
                "address1": "Sixt Stuttgart Central Train Station\nArnulf-Klett-Platz 2\nStuttgart\n70173",
                "addressCountryCode": "DE"
              },
              "rentalDays": 4,
              "segmentNumber": 5,
              "startDateTime": "2022-02-28T12:00:00Z",
              "vendorChainCode": "SX",
              "vendorChainName": "Sixt Rent a Car"
            }
          ]
        },
        "rail": {
          "tickets": [
            {
              "legs": [
                {
                  "arrivalDateTime": "2022-02-28T12:08:00Z",
                  "arrivalStationCode": "ZWS",
                  "carrierCode": "LH",
                  "carrierName": "Lufthansa",
                  "departureDateTime": "2022-02-28T10:52:00Z",
                  "departureStationCode": "FRA",
                  "segmentNumber": "3",
                  "trainNumber": "3410"
                }
              ],
              "recordLocator": "2CMDF7",
              "issueDateTime": "2022-01-06T17:03:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 4574.77,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [],
              "lineItems": [],
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": false
            },
            {
              "legs": [
                {
                  "arrivalDateTime": "2022-03-03T17:51:00Z",
                  "arrivalStationCode": "FRA",
                  "carrierCode": "LH",
                  "carrierName": "Lufthansa",
                  "departureDateTime": "2022-03-03T16:34:00Z",
                  "departureStationCode": "ZWS",
                  "segmentNumber": "6",
                  "trainNumber": "3421"
                }
              ],
              "recordLocator": "2CMDF7",
              "issueDateTime": "2022-01-06T17:03:00Z",
              "bookingDateTime": "2022-01-06T17:03:00Z",
              "fare": {
                "amount": 0,
                "currencyCode": "USD",
                "description": "Total Fare"
              },
              "payments": [],
              "lineItems": [],
              "passenger": {
                "firstName": "FIRSTNAME",
                "lastName": "NONAME"
              },
              "isInternational": false
            }
          ]
        }
      }
    }
  ]
}
```

**SDK Code**

```python Expenses_getVersionsByTripId_example
import requests

url = "https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Expenses_getVersionsByTripId_example
const url = 'https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Expenses_getVersionsByTripId_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Expenses_getVersionsByTripId_example
require 'uri'
require 'net/http'

url = URI("https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Expenses_getVersionsByTripId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Expenses_getVersionsByTripId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Expenses_getVersionsByTripId_example
using RestSharp;

var client = new RestClient("https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Expenses_getVersionsByTripId_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://expenses-api.bcdtravel.com/v1/expenses/tripId/versions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```